Support » Plugin: IP Geo Block » Error: Please change permissions for writing to geoipdb direcotry.

  • Resolved djsteveb

    (@djsteveb)


    trying to figure out which folders need write perms..
    on this freebesd server, when wp and plugins need to update I need to manually enter ftp details each time.. then it allows updates and folders to be made / files overwritten.. but I think the server resets the folder permissions each time.
    not sure which folders need to be changed to 777 in order for it to work.

    I tried changing all the folders I could find in the wp-content/plugins/ipgeoblock/ folder, and sub folders.. is there also a file name that needs to be 775 / 777?
    Is there a folder outside of this path?

    https://wordpress.org/plugins/ip-geo-block/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Wow – this error keeps displaying on when trying to get into wp-admin, and shows on home page now.. even after the ip geo block plugin is deleted via ftp.

    I even deactivated the ipgeo block before updating plugins.

    So perhaps this has to do with the plugin itself being updated and not getting the permissions it needed to finish updating.

    On my third site.. I deactivated ip geo block.. then inside dashboard selected all the other plugins that needed to be updated.. about 8.. clicked update.. it brings up the screen for my ftp details
    (To perform the requested action, WordPress needs to access your web server. Please enter your FTP credentials to proceed. If you do not remember your credentials, you should contact your web host.)

    then they update.. then I get screen showing “Error: Please change permissions for writing to geoipdb direcotry.”

    Plugin Author tokkonopapa

    (@tokkonopapa)

    Hi djsteveb,

    I feel sorry about your issue, but this isn’t due to this plugin. It is caused by Tor Blocker.

    > Wow – this error keeps displaying on when trying to get into wp-admin, and shows on home page now.. even after the ip geo block plugin is deleted via ftp.

    This is obviously because this plugin have no relation to this issue.

    The php file torblocker.php tries to modify the mode of the directory geoipdb to 755, but I can’t understand why the authtor need to do it. Every server has its own security policy about the management of permission. So we developer should obey it. Otherwise, there’s a possibility to make a security hole.

    conflict with tor blocker is also the same case. (I kept it open by another reason.)

    Please post the issue at Tor Blocker.

    And I also have something to inform you about the related issue. Please email me to tokkonopapa at yahoo.com if you don’t mind.

    Good luck!

    Plugin Author tokkonopapa

    (@tokkonopapa)

    Oh, I’m sorry, I missed your third post.

    I guess you mean this plugin blocks the checking process of updating plugins. But I think it’s impossible because the origin of the request for checking update is your WordPress itself, not the WordPress.org.

    https://www.google.com/search?q=%22To+perform+the+requested+action%2C+WordPress+needs+to+access+your+web+server.+Please+enter+your+FTP+credentials+to+proceed.+If+you+do+not+remember+your+credentials%2C+you+should+contact+your+web+host.%22 might help you.

    Plugin Author tokkonopapa

    (@tokkonopapa)

    Additional info: #34976 (Plug ins fail to update after WP 4.4 installed)

    Your FTP issue may be gone on 4.4.1.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Error: Please change permissions for writing to geoipdb direcotry.’ is closed to new replies.